- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTX_extend
GTX Extensions (Experimental)

## Functions
template<typename genType >
genType | extend (genType const &Origin, genType const &Source, typename genType::value_type const Length)

## Detailed Description

Extend a position from a source to a position at a defined length.

<glm/gtx/extend.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::extend | ( | genType const & | Origin,
|  | genType const & | Source,
|  | typename genType::value_type const | Length
| ) |  |

Extends of Length the Origin position using the (Source - Origin) direction.

See Also
  GLM_GTX_extend